## r-bioc-hdf5array 1.18.1

=== DESCRIPTION ===
Package: HDF5Array
Title: HDF5 backend for DelayedArray objects
Description: Implements the HDF5Array and TENxMatrix classes, 2 convenient
	and memory-efficient array-like containers for on-disk representation
	of HDF5 datasets. HDF5Array is for datasets that use the conventional
	(i.e. dense) HDF5 representation. TENxMatrix is for datasets that
	use the HDF5-based sparse matrix representation from 10x Genomics
	(e.g. the 1.3 Million Brain Cell Dataset). Both containers being
	DelayedArray extensions, they support all operations supported by
	DelayedArray objects. These operations can be either delayed or
	block-processed.
biocViews: Infrastructure, DataRepresentation, DataImport, Sequencing,
        RNASeq, Coverage, Annotation, GenomeAnnotation, SingleCell,
        ImmunoOncology
URL: https://bioconductor.org/packages/HDF5Array
BugReports: https://github.com/Bioconductor/HDF5Array/issues
Version: 1.18.1
License: Artistic-2.0
Encoding: UTF-8
Author: Hervé Pagès
Maintainer: Hervé Pagès <hpages.on.github@gmail.com>
Depends: R (>= 3.4), methods, DelayedArray (>= 0.15.16), rhdf5 (>=
        2.31.6)
Imports: utils, stats, tools, Matrix, BiocGenerics (>= 0.31.5),
        S4Vectors, IRanges
LinkingTo: S4Vectors (>= 0.27.13), Rhdf5lib
SystemRequirements: GNU make
Suggests: BiocParallel, GenomicRanges, SummarizedExperiment (>=
        1.15.1), h5vcData, ExperimentHub, TENxBrainData,
        GenomicFeatures, BiocStyle
Collate: utils.R H5DSetDescriptor-class.R uaselection.R h5mread.R
        h5mread_from_reshaped.R h5dimscales.R h5utils.R
        HDF5ArraySeed-class.R HDF5Array-class.R
        ReshapedHDF5ArraySeed-class.R ReshapedHDF5Array-class.R
        dump-management.R writeHDF5Array.R
        saveHDF5SummarizedExperiment.R TENxMatrixSeed-class.R
        TENxMatrix-class.R writeTENxMatrix.R zzz.R
git_url: https://git.bioconductor.org/packages/HDF5Array
git_branch: RELEASE_3_12
git_last_commit: 5bc12e4
git_last_commit_date: 2021-02-04
Date/Publication: 2021-02-04
NeedsCompilation: yes
Packaged: 2021-02-05 00:55:32 UTC; biocbuild

=== debian/changelog ===
r-bioc-hdf5array (1.18.1-3) unstable; urgency=high

  * Team upload.
  * debian/docs: unneeded, removed

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 08 Feb 2021 09:59:14 +0100

r-bioc-hdf5array (1.18.1-2) unstable; urgency=medium

  * Team upload.
  * Fix pkg-r-autopkgtest, add missing dependency on r-cran-runit.
  * Remove debian/tests/run-unit-tests, as that duplicates that now-working
    pkg-r-autopkgtest

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 07 Feb 2021 13:19:29 +0100

r-bioc-hdf5array (1.18.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 06 Feb 2021 14:44:46 +0100

r-bioc-hdf5array (1.18.0-2) unstable; urgency=medium

  * Team upload.
  * debian/control:Turn off pkg-r-autopkgtest, the hand written autopkgtests
    do the same thing but work

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 22 Nov 2020 13:21:46 +0100

r-bioc-hdf5array (1.18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 17 Nov 2020 12:25:09 +0100

r-bioc-hdf5array (1.16.1-2) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Thu, 17 Sep 2020 13:48:41 +0200

r-bioc-hdf5array (1.16.1-1) unstable; urgency=medium

  * Initial release (closes: #966553)

 -- Steffen Moeller <moeller@debian.org>  Sun, 06 Sep 2020 18:58:08 +0200

=== debian/control ===
Source: r-bioc-hdf5array
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-delayedarray (>= 0.15.16),
               r-bioc-rhdf5,
               r-cran-matrix,
               r-bioc-biocgenerics (>= 0.31.5),
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-bioc-rhdf5lib,
               libhdf5-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-hdf5array
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-hdf5array.git
Homepage: https://bioconductor.org/packages/HDF5Array/
Rules-Requires-Root: no

Package: r-bioc-hdf5array
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: HDF5 backend for DelayedArray objects
 Implements the HDF5Array and TENxMatrix classes, 2 convenient
 and memory-efficient array-like containers for on-disk representation
 of HDF5 datasets. HDF5Array is for datasets that use the conventional
 (i.e. dense) HDF5 representation. TENxMatrix is for datasets that
 use the HDF5-based sparse matrix representation from 10x Genomics
 (e.g. the 1.3 Million Brain Cell Dataset). Both containers being
 DelayedArray extensions, they support all operations supported by
 DelayedArray objects. These operations can be either delayed or
 block-processed.

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/HDF5Array.html .*/HDF5Array_(.*).tar.gz

## r-bioc-hdf5array 1.22.1

=== DESCRIPTION ===
Package: HDF5Array
Title: HDF5 backend for DelayedArray objects
Description: Implement the HDF5Array, H5SparseMatrix, H5ADMatrix, and
	TENxMatrix classes, 4 convenient and memory-efficient array-like
	containers for representing and manipulating either: (1) a conventional
	(a.k.a. dense) HDF5 dataset, (2) an HDF5 sparse matrix (stored in
	CSR/CSC/Yale format), (3) the central matrix of an h5ad file (or any
	matrix in the /layers group), or (4) a 10x Genomics sparse matrix.
	All these containers are DelayedArray extensions and thus support all
	operations (delayed or block-processed) supported by DelayedArray
	objects.
biocViews: Infrastructure, DataRepresentation, DataImport, Sequencing,
        RNASeq, Coverage, Annotation, GenomeAnnotation, SingleCell,
        ImmunoOncology
URL: https://bioconductor.org/packages/HDF5Array
BugReports: https://github.com/Bioconductor/HDF5Array/issues
Version: 1.22.1
License: Artistic-2.0
Encoding: UTF-8
Author: Hervé Pagès
Maintainer: Hervé Pagès <hpages.on.github@gmail.com>
Depends: R (>= 3.4), methods, DelayedArray (>= 0.15.16), rhdf5 (>=
        2.31.6)
Imports: utils, stats, tools, Matrix, rhdf5filters, BiocGenerics (>=
        0.31.5), S4Vectors, IRanges
LinkingTo: S4Vectors (>= 0.27.13), Rhdf5lib
SystemRequirements: GNU make
Suggests: BiocParallel, GenomicRanges, SummarizedExperiment (>=
        1.15.1), h5vcData, ExperimentHub, TENxBrainData, zellkonverter,
        GenomicFeatures, RUnit, SingleCellExperiment
Collate: utils.R H5File-class.R h5ls.R H5DSetDescriptor-class.R
        h5utils.R h5dimscales.R uaselection.R h5mread.R
        h5mread_from_reshaped.R h5writeDimnames.R h5summarize.R
        HDF5ArraySeed-class.R HDF5Array-class.R
        ReshapedHDF5ArraySeed-class.R ReshapedHDF5Array-class.R
        dump-management.R writeHDF5Array.R
        saveHDF5SummarizedExperiment.R H5SparseMatrixSeed-class.R
        H5SparseMatrix-class.R H5ADMatrixSeed-class.R
        H5ADMatrix-class.R TENxMatrixSeed-class.R TENxMatrix-class.R
        writeTENxMatrix.R zzz.R
git_url: https://git.bioconductor.org/packages/HDF5Array
git_branch: RELEASE_3_14
git_last_commit: b3f091f
git_last_commit_date: 2021-11-13
Date/Publication: 2021-11-14
NeedsCompilation: yes
Packaged: 2021-11-14 11:34:45 UTC; biocbuild

=== debian/changelog ===
r-bioc-hdf5array (1.22.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 08:13:29 +0100

r-bioc-hdf5array (1.20.0-2) unstable; urgency=medium

  * Team Upload.
  * d/rules: Remove test_H5ADMatrixSeed-class.R until zellkonverter
    gets accepted, revert once done

 -- Nilesh Patra <nilesh@debian.org>  Sun, 19 Sep 2021 03:05:49 +0530

r-bioc-hdf5array (1.20.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Refresh patches
  * Add B-D on r-bioc-rhdf5filters

 -- Nilesh Patra <nilesh@debian.org>  Sat, 11 Sep 2021 12:49:47 +0530

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,13 @@
                r-bioc-delayedarray (>= 0.15.16),
                r-bioc-rhdf5,
                r-cran-matrix,
+               r-bioc-rhdf5filters,
                r-bioc-biocgenerics (>= 0.31.5),
                r-bioc-s4vectors,
                r-bioc-iranges,
                r-bioc-rhdf5lib,
                libhdf5-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-hdf5array
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-hdf5array.git
 Homepage: https://bioconductor.org/packages/HDF5Array/

## r-bioc-hdf5array 1.24.2

=== DESCRIPTION ===
--- 
+++ 
@@ -14,7 +14,7 @@
         ImmunoOncology
 URL: https://bioconductor.org/packages/HDF5Array
 BugReports: https://github.com/Bioconductor/HDF5Array/issues
-Version: 1.22.1
+Version: 1.24.2
 License: Artistic-2.0
 Encoding: UTF-8
 Author: Hervé Pagès
@@ -39,9 +39,9 @@
         H5ADMatrix-class.R TENxMatrixSeed-class.R TENxMatrix-class.R
         writeTENxMatrix.R zzz.R
 git_url: https://git.bioconductor.org/packages/HDF5Array
-git_branch: RELEASE_3_14
-git_last_commit: b3f091f
-git_last_commit_date: 2021-11-13
-Date/Publication: 2021-11-14
+git_branch: RELEASE_3_15
+git_last_commit: fb213ba
+git_last_commit_date: 2022-08-01
+Date/Publication: 2022-08-02
 NeedsCompilation: yes
-Packaged: 2021-11-14 11:34:45 UTC; biocbuild
+Packaged: 2022-08-02 20:40:08 UTC; biocbuild

=== debian/changelog ===
r-bioc-hdf5array (1.24.2-1) unstable; urgency=medium

  * Team upload
  * New upload version
  * Disable reprotest

 -- Andreas Tille <tille@debian.org>  Sun, 07 Aug 2022 13:08:30 +0200

r-bioc-hdf5array (1.24.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 07 Jun 2022 11:23:51 +0200

r-bioc-hdf5array (1.24.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 14 May 2022 22:37:13 +0200

## r-bioc-hdf5array 1.26.0

=== DESCRIPTION ===
--- 
+++ 
@@ -14,7 +14,7 @@
         ImmunoOncology
 URL: https://bioconductor.org/packages/HDF5Array
 BugReports: https://github.com/Bioconductor/HDF5Array/issues
-Version: 1.24.2
+Version: 1.26.0
 License: Artistic-2.0
 Encoding: UTF-8
 Author: Hervé Pagès
@@ -39,9 +39,9 @@
         H5ADMatrix-class.R TENxMatrixSeed-class.R TENxMatrix-class.R
         writeTENxMatrix.R zzz.R
 git_url: https://git.bioconductor.org/packages/HDF5Array
-git_branch: RELEASE_3_15
-git_last_commit: fb213ba
-git_last_commit_date: 2022-08-01
-Date/Publication: 2022-08-02
+git_branch: RELEASE_3_16
+git_last_commit: 38b7bd6
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes
-Packaged: 2022-08-02 20:40:08 UTC; biocbuild
+Packaged: 2022-11-01 21:44:25 UTC; biocbuild

=== debian/changelog ===
r-bioc-hdf5array (1.26.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 07:28:02 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                r-bioc-iranges,
                r-bioc-rhdf5lib,
                libhdf5-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-hdf5array
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-hdf5array.git
 Homepage: https://bioconductor.org/packages/HDF5Array/

## r-bioc-hdf5array 1.28.1

=== DESCRIPTION ===
--- 
+++ 
@@ -14,15 +14,15 @@
         ImmunoOncology
 URL: https://bioconductor.org/packages/HDF5Array
 BugReports: https://github.com/Bioconductor/HDF5Array/issues
-Version: 1.26.0
+Version: 1.28.1
 License: Artistic-2.0
 Encoding: UTF-8
 Author: Hervé Pagès
 Maintainer: Hervé Pagès <hpages.on.github@gmail.com>
-Depends: R (>= 3.4), methods, DelayedArray (>= 0.15.16), rhdf5 (>=
+Depends: R (>= 3.4), methods, DelayedArray (>= 0.26.1), rhdf5 (>=
         2.31.6)
 Imports: utils, stats, tools, Matrix, rhdf5filters, BiocGenerics (>=
-        0.31.5), S4Vectors, IRanges
+        0.31.5), S4Vectors, IRanges, S4Arrays (>= 1.0.1)
 LinkingTo: S4Vectors (>= 0.27.13), Rhdf5lib
 SystemRequirements: GNU make
 Suggests: BiocParallel, GenomicRanges, SummarizedExperiment (>=
@@ -39,9 +39,9 @@
         H5ADMatrix-class.R TENxMatrixSeed-class.R TENxMatrix-class.R
         writeTENxMatrix.R zzz.R
 git_url: https://git.bioconductor.org/packages/HDF5Array
-git_branch: RELEASE_3_16
-git_last_commit: 38b7bd6
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 90e4bef
+git_last_commit_date: 2023-04-30
+Date/Publication: 2023-05-01
 NeedsCompilation: yes
-Packaged: 2022-11-01 21:44:25 UTC; biocbuild
+Packaged: 2023-05-01 20:57:04 UTC; biocbuild

=== debian/changelog ===
r-bioc-hdf5array (1.28.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 26 Jul 2023 18:18:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: r-bioc-hdf5array
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Steffen Moeller <moeller@debian.org>
+Uploaders: Steffen Moeller <moeller@debian.org>,
+           Charles Plessy <plessy@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-delayedarray (>= 0.15.16),
+               r-bioc-delayedarray (>= 0.26.1),
                r-bioc-rhdf5,
                r-cran-matrix,
                r-bioc-rhdf5filters,
-               r-bioc-biocgenerics (>= 0.31.5),
+               r-bioc-biocgenerics,
                r-bioc-s4vectors,
                r-bioc-iranges,
                r-bioc-rhdf5lib,
                libhdf5-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-hdf5array
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-hdf5array.git
 Homepage: https://bioconductor.org/packages/HDF5Array/

## r-bioc-hdf5array 1.30.1

=== DESCRIPTION ===
--- 
+++ 
@@ -14,20 +14,21 @@
         ImmunoOncology
 URL: https://bioconductor.org/packages/HDF5Array
 BugReports: https://github.com/Bioconductor/HDF5Array/issues
-Version: 1.28.1
+Version: 1.30.1
 License: Artistic-2.0
 Encoding: UTF-8
 Author: Hervé Pagès
 Maintainer: Hervé Pagès <hpages.on.github@gmail.com>
-Depends: R (>= 3.4), methods, DelayedArray (>= 0.26.1), rhdf5 (>=
+Depends: R (>= 3.4), methods, DelayedArray (>= 0.27.2), rhdf5 (>=
         2.31.6)
 Imports: utils, stats, tools, Matrix, rhdf5filters, BiocGenerics (>=
-        0.31.5), S4Vectors, IRanges, S4Arrays (>= 1.0.1)
+        0.31.5), S4Vectors, IRanges, S4Arrays (>= 1.1.1)
 LinkingTo: S4Vectors (>= 0.27.13), Rhdf5lib
 SystemRequirements: GNU make
 Suggests: BiocParallel, GenomicRanges, SummarizedExperiment (>=
         1.15.1), h5vcData, ExperimentHub, TENxBrainData, zellkonverter,
-        GenomicFeatures, RUnit, SingleCellExperiment
+        GenomicFeatures, RUnit, SingleCellExperiment,
+        DelayedMatrixStats, genefilter
 Collate: utils.R H5File-class.R h5ls.R H5DSetDescriptor-class.R
         h5utils.R h5dimscales.R uaselection.R h5mread.R
         h5mread_from_reshaped.R h5writeDimnames.R h5summarize.R
@@ -39,9 +40,10 @@
         H5ADMatrix-class.R TENxMatrixSeed-class.R TENxMatrix-class.R
         writeTENxMatrix.R zzz.R
 git_url: https://git.bioconductor.org/packages/HDF5Array
-git_branch: RELEASE_3_17
-git_last_commit: 90e4bef
-git_last_commit_date: 2023-04-30
-Date/Publication: 2023-05-01
+git_branch: RELEASE_3_18
+git_last_commit: 1aee703
+git_last_commit_date: 2024-02-14
+Repository: Bioconductor 3.18
+Date/Publication: 2024-02-14
 NeedsCompilation: yes
-Packaged: 2023-05-01 20:57:04 UTC; biocbuild
+Packaged: 2024-02-14 22:24:27 UTC; biocbuild

=== debian/changelog ===
r-bioc-hdf5array (1.30.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:24:28 +1100

r-bioc-hdf5array (1.30.1-1build1) noble; urgency=medium

  * No-change rebuild against libhdf5-103-1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:04:33 +0000

r-bioc-hdf5array (1.30.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Tue, 20 Feb 2024 14:26:16 +0100

r-bioc-hdf5array (1.30.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 13:01:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-bioc-hdf5array
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Charles Plessy <plessy@debian.org>
 Section: gnu-r
@@ -8,13 +9,14 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-delayedarray (>= 0.26.1),
+               r-bioc-delayedarray (>= 0.27.2),
                r-bioc-rhdf5,
                r-cran-matrix,
                r-bioc-rhdf5filters,
                r-bioc-biocgenerics,
                r-bioc-s4vectors,
                r-bioc-iranges,
+               r-bioc-s4arrays,
                r-bioc-rhdf5lib,
                libhdf5-dev
 Standards-Version: 4.6.2

## r-bioc-hdf5array 1.32.1

=== DESCRIPTION ===
--- 
+++ 
@@ -14,7 +14,7 @@
         ImmunoOncology
 URL: https://bioconductor.org/packages/HDF5Array
 BugReports: https://github.com/Bioconductor/HDF5Array/issues
-Version: 1.30.1
+Version: 1.32.1
 License: Artistic-2.0
 Encoding: UTF-8
 Author: Hervé Pagès
@@ -29,8 +29,8 @@
         1.15.1), h5vcData, ExperimentHub, TENxBrainData, zellkonverter,
         GenomicFeatures, RUnit, SingleCellExperiment,
         DelayedMatrixStats, genefilter
-Collate: utils.R H5File-class.R h5ls.R H5DSetDescriptor-class.R
-        h5utils.R h5dimscales.R uaselection.R h5mread.R
+Collate: utils.R H5File-class.R h5ls.R h5utils.R
+        H5DSetDescriptor-class.R h5dimscales.R uaselection.R h5mread.R
         h5mread_from_reshaped.R h5writeDimnames.R h5summarize.R
         HDF5ArraySeed-class.R HDF5Array-class.R
         ReshapedHDF5ArraySeed-class.R ReshapedHDF5Array-class.R
@@ -40,10 +40,10 @@
         H5ADMatrix-class.R TENxMatrixSeed-class.R TENxMatrix-class.R
         writeTENxMatrix.R zzz.R
 git_url: https://git.bioconductor.org/packages/HDF5Array
-git_branch: RELEASE_3_18
-git_last_commit: 1aee703
-git_last_commit_date: 2024-02-14
-Repository: Bioconductor 3.18
-Date/Publication: 2024-02-14
+git_branch: RELEASE_3_19
+git_last_commit: fa5a1d3
+git_last_commit_date: 2024-08-10
+Repository: Bioconductor 3.19
+Date/Publication: 2024-08-11
 NeedsCompilation: yes
-Packaged: 2024-02-14 22:24:27 UTC; biocbuild
+Packaged: 2024-08-11 21:46:53 UTC; biocbuild

=== debian/changelog ===
r-bioc-hdf5array (1.32.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * d/control: move unmanaged build-dep, architecture-is-64-bit, to the
    end of the list so that dh-update-R doesn't ignore the r-* deps.
  * Removed the patch that was previously cherry-picked from upstream,
    as it is now natively included.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 14:14:34 +0200

r-bioc-hdf5array (1.32.0-1~0exp2) experimental; urgency=medium

  * Team upload.
  * Cherry-pick patch from upstream to fix errors not being handled correctly.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 12 Aug 2024 09:55:11 +0200

r-bioc-hdf5array (1.32.0-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 11:48:45 +0200

r-bioc-hdf5array (1.32.0-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version. Closes: #1071342
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 20:52:04 +0200

=== debian/control ===
Source: r-bioc-hdf5array
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Charles Plessy <plessy@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-delayedarray (>= 0.30.1),
               r-bioc-rhdf5 (>= 2.48.0),
               r-cran-matrix,
               r-bioc-rhdf5filters (>= 1.16.0),
               r-bioc-biocgenerics (>= 0.50.0),
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-iranges (>= 2.38.1),
               r-bioc-s4arrays (>= 1.4.1),
               r-bioc-rhdf5lib (>= 1.26.0),
               libhdf5-dev,
               architecture-is-64-bit
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-hdf5array
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-hdf5array.git
Homepage: https://bioconductor.org/packages/HDF5Array/
Rules-Requires-Root: no

Package: r-bioc-hdf5array
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         r-bioc-delayedarray (>= 0.30.1),
         r-bioc-rhdf5 (>= 2.48.0),
         r-bioc-rhdf5filters (>= 1.16.0),
         r-bioc-biocgenerics (>= 0.50.0),
         r-bioc-s4vectors (>= 0.42.1),
         r-bioc-iranges (>= 2.38.1),
         r-bioc-s4arrays (>= 1.4.1),
         r-bioc-rhdf5lib (>= 1.26.0)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-biocparallel (>= 1.38.0),
          r-bioc-genomicranges (>= 1.56.1),
          r-bioc-summarizedexperiment (>= 1.34.0),
          r-bioc-experimenthub (>= 2.12.0),
          r-bioc-genomicfeatures (>= 1.56.0),
          r-bioc-singlecellexperiment (>= 1.26.0),
          r-bioc-delayedmatrixstats (>= 1.26.0),
          r-bioc-genefilter (>= 1.86.0)
Description: HDF5 backend for DelayedArray objects
 Implements the HDF5Array and TENxMatrix classes, 2 convenient
 and memory-efficient array-like containers for on-disk representation
 of HDF5 datasets. HDF5Array is for datasets that use the conventional
 (i.e. dense) HDF5 representation. TENxMatrix is for datasets that
 use the HDF5-based sparse matrix representation from 10x Genomics
 (e.g. the 1.3 Million Brain Cell Dataset). Both containers being
 DelayedArray extensions, they support all operations supported by
 DelayedArray objects. These operations can be either delayed or
 block-processed.

## r-bioc-hdf5array 1.34.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Package: HDF5Array
-Title: HDF5 backend for DelayedArray objects
-Description: Implement the HDF5Array, H5SparseMatrix, H5ADMatrix, and
+Title: HDF5 datasets as array-like objects in R
+Description: The HDF5Array package is an HDF5 backend for DelayedArray objects.
+	It implements the HDF5Array, H5SparseMatrix, H5ADMatrix, and
 	TENxMatrix classes, 4 convenient and memory-efficient array-like
 	containers for representing and manipulating either: (1) a conventional
 	(a.k.a. dense) HDF5 dataset, (2) an HDF5 sparse matrix (stored in
@@ -14,15 +15,15 @@
         ImmunoOncology
 URL: https://bioconductor.org/packages/HDF5Array
 BugReports: https://github.com/Bioconductor/HDF5Array/issues
-Version: 1.32.1
+Version: 1.34.0
 License: Artistic-2.0
 Encoding: UTF-8
 Author: Hervé Pagès
 Maintainer: Hervé Pagès <hpages.on.github@gmail.com>
-Depends: R (>= 3.4), methods, DelayedArray (>= 0.27.2), rhdf5 (>=
-        2.31.6)
+Depends: R (>= 3.4), methods, SparseArray (>= 1.5.42), DelayedArray (>=
+        0.31.8), rhdf5 (>= 2.31.6)
 Imports: utils, stats, tools, Matrix, rhdf5filters, BiocGenerics (>=
-        0.31.5), S4Vectors, IRanges, S4Arrays (>= 1.1.1)
+        0.51.2), S4Vectors, IRanges, S4Arrays (>= 1.1.1)
 LinkingTo: S4Vectors (>= 0.27.13), Rhdf5lib
 SystemRequirements: GNU make
 Suggests: BiocParallel, GenomicRanges, SummarizedExperiment (>=
@@ -40,10 +41,10 @@
         H5ADMatrix-class.R TENxMatrixSeed-class.R TENxMatrix-class.R
         writeTENxMatrix.R zzz.R
 git_url: https://git.bioconductor.org/packages/HDF5Array
-git_branch: RELEASE_3_19
-git_last_commit: fa5a1d3
-git_last_commit_date: 2024-08-10
-Repository: Bioconductor 3.19
-Date/Publication: 2024-08-11
+git_branch: RELEASE_3_20
+git_last_commit: dab3921
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-08-11 21:46:53 UTC; biocbuild
+Packaged: 2024-10-30 01:05:05 UTC; biocbuild

=== debian/changelog ===
r-bioc-hdf5array (1.34.0-2build1) plucky; urgency=medium

  * No-change rebuild against libhdf5-310

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 09:40:26 +0000

r-bioc-hdf5array (1.34.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 21:46:12 +0100

r-bioc-hdf5array (1.34.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 01 Nov 2024 08:46:18 +0100

=== debian/control ===
Source: r-bioc-hdf5array
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Charles Plessy <plessy@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-sparsearray (>= 1.5.42),
               r-bioc-delayedarray (>= 0.31.8),
               r-bioc-rhdf5,
               r-cran-matrix,
               r-bioc-rhdf5filters,
               r-bioc-biocgenerics (>= 0.51.2),
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-bioc-s4arrays,
               r-bioc-rhdf5lib,
               libhdf5-dev,
               architecture-is-64-bit
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-hdf5array
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-hdf5array.git
Homepage: https://bioconductor.org/packages/HDF5Array/
Rules-Requires-Root: no

Package: r-bioc-hdf5array
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: HDF5 backend for DelayedArray objects
 Implements the HDF5Array and TENxMatrix classes, 2 convenient
 and memory-efficient array-like containers for on-disk representation
 of HDF5 datasets. HDF5Array is for datasets that use the conventional
 (i.e. dense) HDF5 representation. TENxMatrix is for datasets that
 use the HDF5-based sparse matrix representation from 10x Genomics
 (e.g. the 1.3 Million Brain Cell Dataset). Both containers being
 DelayedArray extensions, they support all operations supported by
 DelayedArray objects. These operations can be either delayed or
 block-processed.
